Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Interface CellHandle

All Known Implementing Classes:
  BasicGraphUI.RootHandle, EdgeView.EdgeHandle, VertexView.SizeHandle

public interface CellHandle

Defines the requirements for objects that may be used as handles. Handles are used to interactively manipulate a cell's appearance.

Method Summary
`void` | `mouseDragged(MouseEvent e)` Messagedwhen the user drags the selection.
`void` | `mouseMoved(MouseEvent e)` Return a cursor for the given point.
`void` | `mousePressed(MouseEvent event)` Messaged when a drag gesture is recogniced.
`void` | `mouseReleased(MouseEvent event)` Messaged when the drag operation has terminated with a drop.
`void` | `overlay(Graphics g)` Paint the handle on the given graphics object during mouse operations.
`void` | `paint(Graphics g)` Paint the handle on the given graphics object once.

Method Detail

### paint

    public void paint(Graphics g)

  Paint the handle on the given graphics object once.

  Parameters:
    `g` - the graphics object to paint the handle on

### overlay

    public void overlay(Graphics g)

  Paint the handle on the given graphics object during mouse operations.

  Parameters:
    `g` - the graphics object to paint the handle on

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Return a cursor for the given point.

### mousePressed

    public void mousePressed(MouseEvent event)

  Messaged when a drag gesture is recogniced.

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Messagedwhen the user drags the selection. The Controller is responsible to determine whether the mouse is inside the parent graph or not.

  Parameters:
    `e` - the drag event to be processed

### mouseReleased

    public void mouseReleased(MouseEvent event)

  Messaged when the drag operation has terminated with a drop.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.